|
||||||||||
| PREV NEXT | FRAMES NO FRAMES | |||||||||
| Packages that use Page | |
|---|---|
| wicket | The core Wicket package. |
| wicket.markup.html | Base package of HTML markup. |
| wicket.markup.html.debug | |
| wicket.markup.html.link | Link components. |
| wicket.markup.html.navigation.paging | |
| wicket.markup.html.pages | Default special purpose pages for error and feedback support. |
| wicket.protocol.http | HTTP implementation. |
| wicket.protocol.http.portlet | Wicket interface to the JSR-168 portlet API. |
| wicket.protocol.http.portlet.pages | |
| wicket.protocol.http.request.urlcompressing | |
| wicket.request.compound | This package contains a convenience implementation of IRequestCycleProcessor that breaks its functionality in delegate strategies so that they can more easily be mixed and matched. |
| wicket.request.target.component | |
| wicket.request.target.component.listener | |
| wicket.request.target.resource | |
| wicket.session | |
| wicket.session.pagemap | |
| wicket.util.tester | A package with utility classes to ease unit testing of Wicket applications without the need for a servlet container. |
| wicket.version | |
| wicket.version.undo | This packages provides the default implementation of Wicket's back button support in the form of the ability to record and 'undo' changes to component composition structure, model changes and user specific (such as the current page of pageable lists) changes. |
| Uses of Page in wicket |
|---|
| Methods in wicket that return Page | |
|---|---|
protected Page |
Component.findPage()
If this Component is a Page, returns self. |
Page |
Request.getPage()
|
Page |
Component.getPage()
Gets the page holding this component. |
Page |
Session.getPage(java.lang.String pageMapName,
java.lang.String path,
int versionNumber)
THIS METHOD IS NOT PART OF THE WICKET PUBLIC API. |
Page |
RequestCycle.getResponsePage()
Gets the page that is to be rendered for this request in case the last set request target is of type PageRequestTarget. |
Page |
Page.getVersion(int versionNumber)
Override this method to implement a custom way of producing a version of a Page when it cannot be found in the Session. |
Page |
IPageFactory.newPage(java.lang.Class pageClass)
Creates a new page using a page class. |
Page |
Component.newPage(java.lang.Class c)
Creates a new page using the component's page factory |
Page |
IPageFactory.newPage(java.lang.Class pageClass,
PageParameters parameters)
Creates a new Page, passing PageParameters to the Page constructor if such a constructor exists. |
Page |
Component.newPage(java.lang.Class c,
PageParameters parameters)
Creates a new page using the component's page factory |
Page |
RequestCycle.onRuntimeException(Page page,
java.lang.RuntimeException e)
Template method that is called when a runtime exception is thrown, just before the actual handling of the runtime exception. |
| Methods in wicket with parameters of type Page | |
|---|---|
IPageFactory |
Session.getPageFactory(Page page)
|
void |
RequestListenerInterface.invoke(Page page,
Component component)
Invokes a given interface on a component. |
IRequestTarget |
RequestListenerInterface.newRequestTarget(Page page,
Component component,
RequestListenerInterface listener,
RequestParameters requestParameters)
Creates a new request target for this request listener interface |
Page |
RequestCycle.onRuntimeException(Page page,
java.lang.RuntimeException e)
Template method that is called when a runtime exception is thrown, just before the actual handling of the runtime exception. |
abstract void |
RequestCycle.redirectTo(Page page)
THIS METHOD IS NOT PART OF THE WICKET PUBLIC API. |
void |
Component.redirectToInterceptPage(Page page)
Redirects browser to an intermediate page such as a sign-in page. |
void |
PageMap.remove(Page page)
Removes the page from the pagemap |
void |
Request.setPage(Page page)
THIS METHOD IS NOT PART OF THE WICKET PUBLIC API. |
void |
RequestCycle.setResponsePage(Page page)
Sets the page as the render target of this request. |
void |
Component.setResponsePage(Page page)
Sets the page that will respond to this request |
void |
Session.touch(Page page)
THIS METHOD IS NOT PART OF THE WICKET PUBLIC API. |
java.lang.CharSequence |
RequestCycle.urlFor(Page page)
Returns a URL that references the given page. |
| Constructors in wicket with parameters of type Page | |
|---|---|
RestartResponseAtInterceptPageException(Page interceptPage)
Redirects to the specified intercept page. |
|
RestartResponseException(Page page)
Redirects to the specified page |
|
| Uses of Page in wicket.markup.html |
|---|
| Subclasses of Page in wicket.markup.html | |
|---|---|
class |
WebPage
Base class for HTML pages. |
| Uses of Page in wicket.markup.html.debug |
|---|
| Constructors in wicket.markup.html.debug with parameters of type Page | |
|---|---|
PageView(java.lang.String id,
Page page)
Constructor. |
|
| Uses of Page in wicket.markup.html.link |
|---|
| Subclasses of Page in wicket.markup.html.link | |
|---|---|
static class |
PopupCloseLink.ClosePopupPage
ClosePopupPage closes the popup window. |
| Methods in wicket.markup.html.link that return Page | |
|---|---|
Page |
IPageLink.getPage()
Gets the page to go to. |
| Methods in wicket.markup.html.link with parameters of type Page | |
|---|---|
boolean |
PageLink.linksTo(Page page)
Returns true if the given page is of the same class as the (delayed) destination of this page link. |
protected boolean |
Link.linksTo(Page page)
Whether this link refers to the given page. |
boolean |
BookmarkablePageLink.linksTo(Page page)
Whether this link refers to the given page. |
| Constructors in wicket.markup.html.link with parameters of type Page | |
|---|---|
InlineFrame(java.lang.String id,
PageMap pageMap,
Page page)
This constructor is ideal if a Page object was passed in from a previous Page. |
|
InternalFrame(java.lang.String id,
PageMap pageMap,
Page page)
Deprecated. This constructor is ideal if a Page object was passed in from a previous Page. |
|
PageLink(java.lang.String id,
Page page)
This constructor is ideal if a Page object was passed in from a previous Page. |
|
| Uses of Page in wicket.markup.html.navigation.paging |
|---|
| Methods in wicket.markup.html.navigation.paging with parameters of type Page | |
|---|---|
boolean |
PagingNavigationLink.linksTo(Page page)
Returns true if this PageableListView navigation link links to the given page. |
boolean |
PagingNavigationIncrementLink.linksTo(Page page)
Returns true if the page link links to the given page. |
| Uses of Page in wicket.markup.html.pages |
|---|
| Subclasses of Page in wicket.markup.html.pages | |
|---|---|
class |
AccessDeniedPage
Page expired error page. |
class |
BrowserInfoPage
This page uses a form post right after the page has loaded in the browser, using JavaScript or alternative means to detect and pass on settings to the embedded form. |
class |
ExceptionErrorPage
Shows a runtime exception on a nice HTML page. |
class |
InternalErrorPage
Internal error display page. |
class |
PageExpiredErrorPage
Page expired error page. |
class |
RedirectPage
Page that let the browser redirect. |
| Constructors in wicket.markup.html.pages with parameters of type Page | |
|---|---|
ExceptionErrorPage(java.lang.Throwable throwable,
Page page)
Constructor. |
|
RedirectPage(Page page)
Construct. |
|
RedirectPage(Page page,
int waitBeforeRedirectInSeconds)
Construct. |
|
| Uses of Page in wicket.protocol.http |
|---|
| Methods in wicket.protocol.http that return Page | |
|---|---|
Page |
MockWebApplication.getLastRenderedPage()
Get the page that was just rendered by the last request cycle processing. |
Page |
MockWebApplication.getPreviousRenderedPage()
Get the page that was previously |
| Methods in wicket.protocol.http with parameters of type Page | |
|---|---|
void |
RequestLogger.SessionData.pageCreated(Page page)
|
void |
RequestLogger.SessionData.pageRemoved(Page page)
|
void |
RequestLogger.SessionData.pageUpdated(Page page)
|
void |
WebRequestCycle.redirectTo(Page page)
Redirects browser to the given page. |
void |
MockHttpServletRequest.setRequestToBookmarkablePage(Page page,
java.util.Map params)
Initialise the request parameters to point to the given bookmarkable page. |
| Uses of Page in wicket.protocol.http.portlet |
|---|
| Subclasses of Page in wicket.protocol.http.portlet | |
|---|---|
class |
PortletPage
Base class for portlet pages. |
| Methods in wicket.protocol.http.portlet that return Page | |
|---|---|
protected Page |
PortletExceptionResponseStrategy.onRuntimeException(Page page,
java.lang.RuntimeException e)
This method is called when a runtime exception is thrown, just before the actual handling of the runtime exception. |
| Methods in wicket.protocol.http.portlet with parameters of type Page | |
|---|---|
protected Page |
PortletExceptionResponseStrategy.onRuntimeException(Page page,
java.lang.RuntimeException e)
This method is called when a runtime exception is thrown, just before the actual handling of the runtime exception. |
void |
PortletRequestCycle.redirectTo(Page page)
|
protected IRequestTarget |
PortletRequestTargetResolverStrategy.resolveListenerInterfaceTarget(RequestCycle requestCycle,
Page page,
java.lang.String componentPath,
java.lang.String interfaceName,
RequestParameters requestParameters)
Resolves the RequestTarget for the given interface. |
| Uses of Page in wicket.protocol.http.portlet.pages |
|---|
| Subclasses of Page in wicket.protocol.http.portlet.pages | |
|---|---|
class |
AccessDeniedPortletPage
Access denied portlet page |
class |
ExceptionErrorPortletPage
Exception error portlet page |
class |
InternalErrorPortletPage
Internal error portlet page |
class |
PageExpiredPortletPage
Page expired error page. |
| Constructors in wicket.protocol.http.portlet.pages with parameters of type Page | |
|---|---|
ExceptionErrorPortletPage(java.lang.Throwable throwable,
Page page)
Constructor. |
|
| Uses of Page in wicket.protocol.http.request.urlcompressing |
|---|
| Methods in wicket.protocol.http.request.urlcompressing with parameters of type Page | |
|---|---|
protected IRequestTarget |
WebURLCompressingTargetResolverStrategy.resolveListenerInterfaceTarget(RequestCycle requestCycle,
Page page,
java.lang.String componentPath,
java.lang.String interfaceName,
RequestParameters requestParameters)
Resolves the RequestTarget for the given interface. |
| Uses of Page in wicket.request.compound |
|---|
| Methods in wicket.request.compound that return Page | |
|---|---|
protected Page |
DefaultExceptionResponseStrategy.onRuntimeException(Page page,
java.lang.RuntimeException e)
This method is called when a runtime exception is thrown, just before the actual handling of the runtime exception. |
| Methods in wicket.request.compound with parameters of type Page | |
|---|---|
protected Page |
DefaultExceptionResponseStrategy.onRuntimeException(Page page,
java.lang.RuntimeException e)
This method is called when a runtime exception is thrown, just before the actual handling of the runtime exception. |
protected IRequestTarget |
DefaultRequestTargetResolverStrategy.resolveListenerInterfaceTarget(RequestCycle requestCycle,
Page page,
java.lang.String componentPath,
java.lang.String interfaceName,
RequestParameters requestParameters)
Resolves the RequestTarget for the given interface. |
| Uses of Page in wicket.request.target.component |
|---|
| Methods in wicket.request.target.component that return Page | |
|---|---|
Page |
PageRequestTarget.getPage()
|
Page |
IPageRequestTarget.getPage()
Gets the page instance. |
Page |
BookmarkablePageRequestTarget.getPage()
|
protected Page |
BookmarkablePageRequestTarget.newPage(java.lang.Class pageClass,
RequestCycle requestCycle)
Constructs a new instance of a page given its class name |
| Constructors in wicket.request.target.component with parameters of type Page | |
|---|---|
PageRequestTarget(Page page)
Construct. |
|
| Uses of Page in wicket.request.target.component.listener |
|---|
| Constructors in wicket.request.target.component.listener with parameters of type Page | |
|---|---|
AbstractListenerInterfaceRequestTarget(Page page,
Component component,
RequestListenerInterface listener)
Construct. |
|
AbstractListenerInterfaceRequestTarget(Page page,
Component component,
RequestListenerInterface listener,
RequestParameters requestParameters)
Construct. |
|
BehaviorRequestTarget(Page page,
Component component,
RequestListenerInterface listener)
Construct. |
|
BehaviorRequestTarget(Page page,
Component component,
RequestListenerInterface listener,
RequestParameters requestParameters)
Construct. |
|
ListenerInterfaceRequestTarget(Page page,
Component component,
RequestListenerInterface listener)
Construct. |
|
ListenerInterfaceRequestTarget(Page page,
Component component,
RequestListenerInterface listener,
RequestParameters requestParameters)
Construct. |
|
RedirectPageRequestTarget(Page page)
Construct. |
|
| Uses of Page in wicket.request.target.resource |
|---|
| Constructors in wicket.request.target.resource with parameters of type Page | |
|---|---|
ComponentResourceRequestTarget(Page page,
Component component,
RequestListenerInterface listener)
Construct. |
|
| Uses of Page in wicket.session |
|---|
| Methods in wicket.session that return Page | |
|---|---|
Page |
DefaultPageFactory.newPage(java.lang.Class pageClass)
|
Page |
DefaultPageFactory.newPage(java.lang.Class pageClass,
PageParameters parameters)
|
| Uses of Page in wicket.session.pagemap |
|---|
| Methods in wicket.session.pagemap that return Page | |
|---|---|
Page |
IPageMapEntry.getPage()
|
abstract Page |
AbstractPageMapEntry.getPage()
|
| Uses of Page in wicket.util.tester |
|---|
| Subclasses of Page in wicket.util.tester | |
|---|---|
class |
DummyHomePage
A dummy homepage required by WicketTester only |
class |
DummyPanelPage
A dummy panel component |
| Methods in wicket.util.tester that return Page | |
|---|---|
Page |
ITestPageSource.getTestPage()
Define a page instance source for WicketTester |
Page |
WicketTester.startPage(java.lang.Class pageClass)
Render a page from its default constructor. |
Page |
WicketTester.startPage(ITestPageSource testPageSource)
Render a page defined in TestPageSource. |
Page |
WicketTester.startPage(Page page)
Render the page |
| Methods in wicket.util.tester with parameters of type Page | |
|---|---|
static java.util.List |
WicketTesterHelper.getComponentData(Page page)
Get recursively all components of the page, extract the information relevant for us and add them to a list. |
Page |
WicketTester.startPage(Page page)
Render the page |
| Uses of Page in wicket.version |
|---|
| Methods in wicket.version that return Page | |
|---|---|
Page |
IPageVersionManager.getVersion(int versionNumber)
Retrieves a given Page version. |
| Uses of Page in wicket.version.undo |
|---|
| Methods in wicket.version.undo that return Page | |
|---|---|
Page |
UndoPageVersionManager.getVersion(int versionNumber)
|
| Constructors in wicket.version.undo with parameters of type Page | |
|---|---|
UndoPageVersionManager(Page page,
int maxVersions)
Constructor |
|
|
||||||||||
| PREV NEXT | FRAMES NO FRAMES | |||||||||